# Class AbortException

java.lang.Object
java.lang.Throwable
java.lang.Exception
uk.ac.starlink.task.TaskException
uk.ac.starlink.task.AbortException

All Implemented Interfaces:
  `Serializable`

public class AbortException extends TaskException
Exception generated when the user signals an intention to abort a task.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AbortException()`
`AbortException(String msg)`
`AbortException(String msg, Throwable cause)`
`AbortException(Throwable cause)`

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AbortException

public AbortException()

### AbortException

public AbortException(String msg)

### AbortException

public AbortException(String msg, Throwable cause)

### AbortException

public AbortException(Throwable cause)